//: [Previous](@previous)

import Foundation

let ourFirstVariable: String = "I'm a 🤺"
                            // I'm explicitly declaring a variable
                            // Swift will always try to guess what you mean
                            // so you don't have to do this
let itIsASecret = true  // Booleans aren't
                        // I didn't explicitly declare this. I could have,
                        // but it's pretty obivious what's going on here
                        //
                        // Ask yourself, is this code more or less clear
                        // than the first var? I find it easier to read
                        // personally.

print("The value of the variable is \"\(ourFirstVariable)\"")

if itIsASecret {
    print("I'm not telling.")
} else {
    print(ourFirstVariable)
}

    // hey! flow control?? What the heck??
    // this is why we're programming, right? We want to program
    // to change behaviours based on some condition.
    //
    // If is probably the easiet to understand.

let canYouKnow = itIsASecret ? "I'm not telling, either." : ourFirstVariable

    // Great. Now I don't get it.
    // Ok, don't worry. That "?" is an operator. It says, "Hey, is that first
    // part true or false?"
    // Then it returns either the first block (between the "?" and the ":")
    // or the second (after the ":")
    // Which of those two protocols are easier to read and understand?

print(canYouKnow)
